package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSWorldMapDecorationType;

@ObfuscatedName("nx")
public class WorldMapDecorationType implements MouseWheel, RSWorldMapDecorationType {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   public static final WorldMapDecorationType field3864;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3861;
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   public static final WorldMapDecorationType field3851;
   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   public static final WorldMapDecorationType field3846;
   @ObfuscatedName("ab")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   public static final WorldMapDecorationType field3847;
   @ObfuscatedName("au")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3848;
   @ObfuscatedName("aa")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3849;
   @ObfuscatedName("ac")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3850;
   @ObfuscatedName("al")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3857;
   @ObfuscatedName("az")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3852;
   @ObfuscatedName("ap")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3845;
   @ObfuscatedName("av")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3854;
   @ObfuscatedName("ax")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3855;
   @ObfuscatedName("as")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3860;
   @ObfuscatedName("ay")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3843;
   @ObfuscatedName("ak")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3858;
   @ObfuscatedName("aj")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3859;
   @ObfuscatedName("am")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3853;
   @ObfuscatedName("aq")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3865;
   @ObfuscatedName("ai")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   static final WorldMapDecorationType field3862;
   @ObfuscatedName("aw")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   public static final WorldMapDecorationType field3863;
   @ObfuscatedName("ae")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   public static final WorldMapDecorationType field3856;
   @ObfuscatedName("an")
   @ObfuscatedSignature(
      descriptor = "Lnx;"
   )
   public static final WorldMapDecorationType field3844;
   @ObfuscatedName("fz")
   @ObfuscatedSignature(
      descriptor = "Loh;"
   )
   static Archive archive10;
   @ObfuscatedName("ag")
   @ObfuscatedGetter(
      intValue = -1959642215
   )
   public final int id;

   static {
      field3864 = new WorldMapDecorationType(0, 0);
      field3861 = new WorldMapDecorationType(1, 0);
      field3851 = new WorldMapDecorationType(2, 0);
      field3846 = new WorldMapDecorationType(3, 0);
      field3847 = new WorldMapDecorationType(9, 2);
      field3848 = new WorldMapDecorationType(4, 1);
      field3849 = new WorldMapDecorationType(5, 1);
      field3850 = new WorldMapDecorationType(6, 1);
      field3857 = new WorldMapDecorationType(7, 1);
      field3852 = new WorldMapDecorationType(8, 1);
      field3845 = new WorldMapDecorationType(12, 2);
      field3854 = new WorldMapDecorationType(13, 2);
      field3855 = new WorldMapDecorationType(14, 2);
      field3860 = new WorldMapDecorationType(15, 2);
      field3843 = new WorldMapDecorationType(16, 2);
      field3858 = new WorldMapDecorationType(17, 2);
      field3859 = new WorldMapDecorationType(18, 2);
      field3853 = new WorldMapDecorationType(19, 2);
      field3865 = new WorldMapDecorationType(20, 2);
      field3862 = new WorldMapDecorationType(21, 2);
      field3863 = new WorldMapDecorationType(10, 2);
      field3856 = new WorldMapDecorationType(11, 2);
      field3844 = new WorldMapDecorationType(22, 3);
   }

   @ObfuscatedSignature(
      descriptor = "(II)V",
      garbageValue = "0"
   )
   WorldMapDecorationType(int var1, int var2) {
      this.id = var1;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(B)I",
      garbageValue = "-11"
   )
   public int rsOrdinal_base() {
      return this.id;
   }

   @ObfuscatedName("jk")
   @ObfuscatedSignature(
      descriptor = "(IIII)I",
      garbageValue = "1041005781"
   )
   static final int getTileHeight_base(int var0, int var1, int var2) {
      int var3 = var0 >> 7;
      int var4 = var1 >> 7;
      if(var3 >= 0 && var4 >= 0 && var3 <= 103 && var4 <= 103) {
         int var5 = var2;
         if(var2 < 3 && (Tiles.Tiles_renderFlags[1][var3][var4] & 2) == 2) {
            var5 = var2 + 1;
         }

         int var6 = var0 & 127;
         int var7 = var1 & 127;
         int var8 = (128 - var6) * Tiles.Tiles_heights[var5][var3][var4] + Tiles.Tiles_heights[var5][var3 + 1][var4] * var6 >> 7;
         int var9 = var6 * Tiles.Tiles_heights[var5][var3 + 1][var4 + 1] + Tiles.Tiles_heights[var5][var3][var4 + 1] * (128 - var6) >> 7;
         return var8 * (128 - var7) + var7 * var9 >> 7;
      } else {
         return 0;
      }
   }
}
